Highlighted
Micro Focus Expert
Micro Focus Expert
546 views

<(CM) Support tip> - Database schema upgrade in CM 9.3 Patch 2 release

Hi all,

You'll notice when you apply Patch 2 of CM 9.3 (Build 418) to your server running CM Enterprise Studio, CM ES tells you "Schema upgrade required". 

It's not really required as such...more like optional. If you're the sort of person who gets stressed seeing the "Schema upgrade required" message in CM ES every time you open it, then maybe you'll want to do it when you have a few spare minutes.

This schema upgrade doesn't really do much - it's just an update to the security filtering function, so there's no big changes to tables/columns/data, hence in theory it should finish almost before it began 😉

The changes to the security filtering function are just to make performance and stability a bit better. It's a result of change request OCTCR6J245047.

(Edit 28/6/19) - Just be aware if you're running an older version of the CM 9.3 client (e.g. build 178) it won't connect to the 418 WGS once you've upgraded the schema, so you'll also need to patch the CM client to 418 (as you always should, because CM clients are backward-compatible with older WGS builds, not the reverse.)


Neil

Note: Any posts I make on this forum are my own personal opinion, and unless stated otherwise do not constitute a formal commitment on behalf of Micro Focus.

(Please state the version of CM you're using in all posts.)

MySupport: https://softwaresupport.softwaregrp.com/
5 Replies
Shelley Mac Respected Contributor.
Respected Contributor.

Re: <(CM) Support tip> - Database schema upgrade in CM 9.3 Patch 2 release

Hi Neil,

This may be a silly question when was patch 2 released and is this the most recent patch release?

Thanks

Shell

0 Likes
Micro Focus Expert
Micro Focus Expert

Re: <(CM) Support tip> - Database schema upgrade in CM 9.3 Patch 2 release

Hi Shelley,

It was released 30 April. It's the latest release:

https://community.microfocus.com/t5/Content-Manager-User-Discussions/Content-Manager-Current-Release/td-p/1660221


Neil

Note: Any posts I make on this forum are my own personal opinion, and unless stated otherwise do not constitute a formal commitment on behalf of Micro Focus.

(Please state the version of CM you're using in all posts.)

MySupport: https://softwaresupport.softwaregrp.com/
efreelove Contributor.
Contributor.

Re: <(CM) Support tip> - Database schema upgrade in CM 9.3 Patch 2 release

I did run the schema upgrade due to experience of having to run it between the point releases. Since doing it, I have found that I cannot get to the server using the build 178 client. I also cannot get the MSP to update my client. Wondering if I need to roll back the server (it is test) and re-apply the MSP without with the database upgrade.

0 Likes
Micro Focus Expert
Micro Focus Expert

Re: <(CM) Support tip> - Database schema upgrade in CM 9.3 Patch 2 release

Hi efreelove,

It's no real surprise about the 178 client not wanting to connect to a later version of the workgroup server that's also running a later schema. Only backwards-compatibility is built into the CM client, not forwards-compatibility. CM may have not complained about the later WGS version when the schema was the same, but there are limits. I'll update the notice to mention this for the uninitiated.

No reason I know of why the MSP for Patch 2 won't upgrade your CM client to 418. Just check you're running it properly - there's a document accompanying the patch called "CM9.3_Updating_Using_MSPs.pdf"

E.g. Using an elevated Command line, run the required .msp files, including the Basic UI command,
e.g. C:\Users\username\Desktop\CM_x86.msp /qb /l*vx Update.txt.


Neil

Note: Any posts I make on this forum are my own personal opinion, and unless stated otherwise do not constitute a formal commitment on behalf of Micro Focus.

(Please state the version of CM you're using in all posts.)

MySupport: https://softwaresupport.softwaregrp.com/
0 Likes
efreelove Contributor.
Contributor.

Re: <(CM) Support tip> - Database schema upgrade in CM 9.3 Patch 2 release

Thanks, I read that document to upgrade the workgroup server fine. It was a copy and paste to upgrade the workstation client.

Think I figured it out. The error was about the client not being installed. It was. Eventually, I figured out both a 9.1 and a 9.3.0.178 were installed. When I uninstalled both and reinstalled 9.3 again, the MSP worked fine.
0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.